LINUX.ORG.RU

Gentoo - error install

 ,


0

1
>>> Installing (1 of 1) sys-kernel/gentoo-sources-4.1.15-r1::gentoo
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/portage/dbapi/vartree.py", line 2025, in unmerge
    phase.start()
  File "/usr/lib/python3.4/site-packages/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib/python3.4/site-packages/_emerge/EbuildPhase.py", line 127, in _start
    self._start_task(env_extractor, self._env_extractor_exit)
  File "/usr/lib/python3.4/site-packages/_emerge/CompositeTask.py", line 151, in _start_task
    task.start()
  File "/usr/lib/python3.4/site-packages/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib/python3.4/site-packages/_emerge/BinpkgEnvExtractor.py", line 43, in _start
    self._start_task(extractor_proc, self._extractor_exit)
  File "/usr/lib/python3.4/site-packages/_emerge/CompositeTask.py", line 151, in _start_task
    task.start()
  File "/usr/lib/python3.4/site-packages/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib/python3.4/site-packages/_emerge/SpawnProcess.py", line 112, in _start
    retval = self._spawn(self.args, **kwargs)
  File "/usr/lib/python3.4/site-packages/_emerge/SpawnProcess.py", line 169, in _spawn
    return spawn_func(args, **kwargs)
  File "/usr/lib/python3.4/site-packages/portage/process.py", line 311, in spawn
    pid = os.fork()
  File "/usr/lib/python3.4/site-packages/portage/__init__.py", line 259, in __call__
    rval = self._func(*wrapped_args, **wrapped_kwargs)
OSError: [Errno 12] Cannot allocate memory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/portage/dbapi/_MergeProcess.py", line 235, in _spawn
    prev_mtimes=self.prev_mtimes, counter=counter)
  File "/usr/lib/python3.4/site-packages/portage/dbapi/vartree.py", line 5013, in merge
    counter=counter)
  File "/usr/lib/python3.4/site-packages/portage/dbapi/vartree.py", line 4253, in treewalk
    preserve_paths=preserve_paths)
  File "/usr/lib/python3.4/site-packages/portage/dbapi/vartree.py", line 2108, in unmerge
    phase.start()
  File "/usr/lib/python3.4/site-packages/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib/python3.4/site-packages/_emerge/EbuildPhase.py", line 132, in _start
    self._start_lock()
  File "/usr/lib/python3.4/site-packages/_emerge/EbuildPhase.py", line 152, in _start_lock
    self._start_ebuild()
  File "/usr/lib/python3.4/site-packages/_emerge/EbuildPhase.py", line 184, in _start_ebuild
    self._start_task(ebuild_process, self._ebuild_exit)
  File "/usr/lib/python3.4/site-packages/_emerge/CompositeTask.py", line 151, in _start_task
    task.start()
  File "/usr/lib/python3.4/site-packages/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib/python3.4/site-packages/_emerge/AbstractEbuildProcess.py", line 170, in _start
    SpawnProcess._start(self)
  File "/usr/lib/python3.4/site-packages/_emerge/SpawnProcess.py", line 112, in _start
    retval = self._spawn(self.args, **kwargs)
  File "/usr/lib/python3.4/site-packages/_emerge/EbuildProcess.py", line 25, in _spawn
    actionmap=actionmap, **kwargs)
  File "/usr/lib/python3.4/site-packages/portage/package/ebuild/doebuild.py", line 169, in _doebuild_spawn
    return spawn(cmd, settings, **portage._native_kwargs(kwargs))
  File "/usr/lib/python3.4/site-packages/portage/package/ebuild/doebuild.py", line 1627, in spawn
    **portage._native_kwargs(keywords))
  File "/usr/lib/python3.4/site-packages/portage/process.py", line 116, in spawn_bash
    return spawn(args, opt_name=opt_name, **keywords)
  File "/usr/lib/python3.4/site-packages/portage/process.py", line 311, in spawn
    pid = os.fork()
  File "/usr/lib/python3.4/site-packages/portage/__init__.py", line 259, in __call__
    rval = self._func(*wrapped_args, **wrapped_kwargs)
OSError: [Errno 12] Cannot allocate memory

>>> Failed to install sys-kernel/gentoo-sources-4.1.15-r1,

Cannot allocate memory

ответ содержится в тексте вопроса.

l0stparadise ★★★★★ ()

Cannot allocate memory

Варианта 2 и оба из них - это проблемы с оперативной памятью. Первый вариант - она тупо кончилась. Второй вариант(встречается гораздо реже, обычно ошибки другие) - она битая

Подозреваю /var/tmp/portage в tmpfs и 2 гига оперативки. В таком случае tmpfs будет 1 гигабайт. А распакованные исходники ядра нынче весят дохрена. Плюс сборка, плюс установка

Pinkbyte ★★★★★ ()
Последнее исправление: Pinkbyte (всего исправлений: 2)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.